<template>
  <v-row class="mt-8 px-0">
    <v-col cols="12">
      <ul>
        <li class="d-flex flex-row flex-wrap align-content-center">
          <span class="mt-6"
            >{{
              $_t("components.countries.detail.country_border_list.title")
            }}:</span
          >
          <span class="mt-6">
            <CountryBorder
              v-for="country in borderCountries"
              :key="country"
              small
              color="primary"
              class="typo--text mx-1"
              :code="country"
            />
          </span>
        </li>
      </ul>
    </v-col>
  </v-row>
</template>

<script>
import CountryBorder from "@/components/countries/detail/CountryBorder";
export default {
  name: "CountryBorderList",
  components: { CountryBorder },
  props: {
    borderCountries: {
      type: Array,
    },
  },
};
</script>

<style scoped>
ul {
  list-style: none !important;
  padding: 0 !important;
  text-transform: capitalize;
}
</style>
